# Get Escrows By Signer

### **Headers**

<table><thead><tr><th width="366">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td></tr><tr><td>x-api-key</td><td><code>&#x3C;token></code></td></tr></tbody></table>

### Open API

## GET /helper/get-escrows-by-signer

>

```json
{"openapi":"3.0.0","info":{"title":"Trustless Work API","version":"1.0"},"security":[{}],"paths":{"/helper/get-escrows-by-signer":{"get":{"operationId":"HelperController_getEscrowsBySigner","parameters":[{"name":"signer","required":false,"in":"query","description":"Address of the user who signed the transaction to create escrow","schema":{"type":"string"}},{"name":"role","required":false,"in":"query","description":"Role in escrow","schema":{"type":"string"}},{"name":"roleAddress","required":false,"in":"query","description":"Address of the user in the specified role","schema":{"type":"string"}},{"name":"status","required":false,"in":"query","description":"Status of the escrow","schema":{"type":"string"}},{"name":"type","required":false,"in":"query","description":"Type of the escrow","schema":{"enum":["single-release","multi-release"],"type":"string"}},{"name":"engagementId","required":false,"in":"query","description":"Engagement ID of the escrow","schema":{"type":"string"}},{"name":"title","required":false,"in":"query","description":"Title of the escrow","schema":{"type":"string"}},{"name":"isActive","required":false,"in":"query","description":"Is the escrow active","schema":{"type":"boolean"}},{"name":"validateOnChain","required":false,"in":"query","description":"When set to true, the endpoint will verify each escrow’s data against the blockchain to ensure accuracy and integrity. Enabling this adds an extra security layer but may increase the response time slightly due to the additional validation step","schema":{"type":"boolean"}},{"name":"startDate","required":false,"in":"query","description":"Starting date range for filtering","schema":{"type":"string"}},{"name":"minAmount","required":false,"in":"query","description":"Minimum amount for filtering","schema":{"type":"number"}},{"name":"maxAmount","required":false,"in":"query","description":"Maximum amount for filtering","schema":{"type":"number"}},{"name":"orderBy","required":false,"in":"query","description":"Field to order the results by","schema":{"default":"createdAt","enum":["createdAt","updatedAt","amount"],"type":"string"}},{"name":"orderDirection","required":false,"in":"query","description":"Direction to order the results","schema":{"default":"desc","enum":["asc","desc"],"type":"string"}},{"name":"page","required":false,"in":"query","description":"Page number for pagination","schema":{"type":"number"}},{"name":"pageSize","required":false,"in":"query","description":"Number of items per page","schema":{"default":8,"type":"number"}},{"name":"contractID","required":false,"in":"query","description":"Contract Id of the deployed escrow","schema":{"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"Ending date range for filtering","schema":{"type":"string"}}],"responses":{"200":{"description":"Collection of data containing information from different scans requested by a signatory, role or contract id.","content":{"application/json":{}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized access"},"429":{"description":"Too Many Requests"},"500":{"description":"\n      <p>Possible errors:</p>\n      <ul>\n        <li>Both startDate and endDate must be provided together.</li>\n        <li>Both minAmount and maxAmount must be provided together.</li>\n        <li>The 'signer' parameter is not supported for this endpoint. -> (In case of requesting escrows per role)</li>\n        <li>The information needed to filter by role is incomplete. -> (In case of requesting escrows per role)</li>\n        <li>The 'role' and 'roleAddress' parameters are not supported for this endpoint. -> (In case of requesting escrows per signer)</li>\n        <li>The 'signer' parameter is required. -> (In case of requesting escrows per signer)</li>\n        <li>An unexpected error occurred</li>\n      </ul>","content":{"application/json":{}}}},"tags":["Helper"]}}}}
```

### Use Example:

```typescript
import axios from "axios";

const http = axios.create({
  baseURL: "https://dev.api.trustlesswork.com",
  timeout: 10000,
  headers: {
    "Content-Type": "application/json",
    "x-api-key": your_api_key,
  },
});

export const useExample = async () => {

    const data = await http.get(
      "/escrow/single-release/get-escrows-by-signer?signer=GPUACN...." 👈🏼 // All required parameters are passed at the query level.
    ); 
  
    return data;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v2-en/api-rest/indexer/get-escrow-by-contract-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
